import { Model } from "../model/Model";
export interface IRelationship<T> {
    belongsTo<R extends Model>(relationshipClass: any, localKey?: keyof T, foreignKey?: keyof R): any;
    belongsToMany<R extends Model, P extends Model>(relationship: any, pivot: any, localKey?: keyof T, foreignKey?: keyof R): any;
    hasOne<R extends Model>(relationshipClass: any, localKey?: keyof T, foreignKey?: keyof R): any;
    hasMany<R extends Model>(relationshipClass: any, localKey?: keyof T, foreignKey?: keyof R): any;
}
